# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "asciidoctor"
  s.version = "2.0.20"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/asciidoctor/asciidoctor/issues", "changelog_uri" => "https://github.com/asciidoctor/asciidoctor/blob/HEAD/CHANGELOG.adoc", "mailing_list_uri" => "https://chat.asciidoctor.org", "source_code_uri" => "https://github.com/asciidoctor/asciidoctor" } if s.respond_to? :metadata=
  s.authors = ["Dan Allen", "Sarah White", "Ryan Waldron", "Jason Porter", "Nick Hengeveld", "Jeremy McAnally"]
  s.date = "2024-08-09"
  s.description = "A fast, open source text processor and publishing toolchain for converting AsciiDoc content to HTML 5, DocBook 5, and other formats."
  s.email = ["dan.j.allen@gmail.com"]
  s.executables = ["asciidoctor"]
  s.files = ["bin/asciidoctor"]
  s.homepage = "https://asciidoctor.org"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "An implementation of the AsciiDoc text processor and publishing toolchain"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<concurrent-ruby>, ["~> 1.1.0"])
      s.add_development_dependency(%q<cucumber>, ["~> 3.1.0"])
      s.add_development_dependency(%q<erubi>, ["~> 1.10.0"])
      s.add_development_dependency(%q<haml>, ["~> 6.1.0"])
      s.add_development_dependency(%q<minitest>, ["~> 5.14.0"])
      s.add_development_dependency(%q<nokogiri>, ["~> 1.13.0"])
      s.add_development_dependency(%q<rake>, ["~> 12.3.0"])
      s.add_development_dependency(%q<slim>, ["~> 4.1.0"])
      s.add_development_dependency(%q<tilt>, ["~> 2.0.0"])
    else
      s.add_dependency(%q<concurrent-ruby>, ["~> 1.1.0"])
      s.add_dependency(%q<cucumber>, ["~> 3.1.0"])
      s.add_dependency(%q<erubi>, ["~> 1.10.0"])
      s.add_dependency(%q<haml>, ["~> 6.1.0"])
      s.add_dependency(%q<minitest>, ["~> 5.14.0"])
      s.add_dependency(%q<nokogiri>, ["~> 1.13.0"])
      s.add_dependency(%q<rake>, ["~> 12.3.0"])
      s.add_dependency(%q<slim>, ["~> 4.1.0"])
      s.add_dependency(%q<tilt>, ["~> 2.0.0"])
    end
  else
    s.add_dependency(%q<concurrent-ruby>, ["~> 1.1.0"])
    s.add_dependency(%q<cucumber>, ["~> 3.1.0"])
    s.add_dependency(%q<erubi>, ["~> 1.10.0"])
    s.add_dependency(%q<haml>, ["~> 6.1.0"])
    s.add_dependency(%q<minitest>, ["~> 5.14.0"])
    s.add_dependency(%q<nokogiri>, ["~> 1.13.0"])
    s.add_dependency(%q<rake>, ["~> 12.3.0"])
    s.add_dependency(%q<slim>, ["~> 4.1.0"])
    s.add_dependency(%q<tilt>, ["~> 2.0.0"])
  end
end
